%global gemname selenium-webdriver

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: The next generation developer focused tool for automated testing of webapps
Name: rubygem-%{gemname}
Version: 2.3.2
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://selenium.googlecode.com
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
Requires: rubygem(json_pure)
Requires: rubygem(rubyzip)
Requires: rubygem(childprocess) >= 0.1.9
Requires: rubygem(ffi) >= 1.0.7
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
WebDriver is a tool for writing automated tests of websites. It aims to mimic
the behavior of a real user, and as such interacts with the HTML of the
application.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/
rm -f %{buildroot}%{geminstdir}/lib/selenium/webdriver/firefox/native/linux/x86/x_ignore_nofocus.so
rm -f %{buildroot}%{geminstdir}/lib/selenium/webdriver/firefox/native/linux/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{geminstdir}/lib/selenium/webdriver/ie/native/x64/IEDriver.dll
rm -f %{buildroot}%{geminstdir}/lib/selenium/webdriver/ie/native/win32/IEDriver.dll


%files
%dir %{geminstdir}
%doc %{geminstdir}/CHANGES
%doc %{geminstdir}/README
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Wed Aug 03 2011 Chris Lalancette <clalance@redhat.com> - 2.3.2-1
- Initial package
